<id>
Self_Delete_Lock YaBB2.5
</id>

<version>
0.3 beta
</version>

<mod info>
The YaBB default is to allow users to delete their own accounts.
This mod will allow the admin to choose whether or not users can delete their own accounts.

Version History
---------------
0.1 beta - First release - April 25, 2012
0.2 beta - corrected typo - Apr 28, 2012
0.3 beta - German text for Admin.lng - May 1, 2012

For YaBB 2.5 (not tested on 2.4 but it should work).

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/ModList.pl
cgi-bin/yabb2/Admin/NewSettings.pl
cgi-bin/yabb2/Admin/SettingsMain.pl.pl
cgi-bin/yabb2/Source/Profile.pl
cgi-bin/yabb2/Languages/English/Admin.lng
cgi-bin/yabb2/Languages/German/Admin.lng
cgi-bin/yabb2/Languages/German_Du/Admin.lng

</mod info>

<author>
Dandello - based on a 2.3 mod by Gizmoya, Astropilot, Eagle_f90 and Mick;
German and German_Du translations courtesy pyragony
</author>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$self_del_user = "Self_Delete_Lock_YaBB25|Dandello|This mod will allow the admin to choose whether or not users can delete their own accounts.|0.3 beta|04/26/12";
	push (@installed_mods, "$self_del_user");
</add before>


<edit file>
Admin/NewSettings.pl
</edit file>

<search for>

########## Topic Summary Cutter ##########
</search for>

<add before>
\$self_del_user = $self_del_user;               # 1: allow member to delete own account.
</add before>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
			name => 'addmemgroup_enabled',
			validate => 'number',
		},
</search for>

<add after>
            {
                description =>
qq~<label for="self_del_user">$admin_txt{'self_del_user'}</label>~,
                input_html =>
qq~<input type="checkbox" name="self_del_user" id="self_del_user" value="1" ${ischecked($self_del_user)}/>~,
                name     => 'self_del_user',
                validate => 'boolean',
            },
</add after>


<edit file>
Sources/Profile.pl
</edit file>

<search for>
	if (($iamadmin && ($username ne $user)) || ($username ne "admin")) {
		$showProfile .= qq~ &nbsp; &nbsp; &nbsp; <input type="submit" name="moda" value="$profile_txt{'89'}" onclick="return confirm('$confdel_text')" class="button" />~;
	}
</search for>

<replace>
    if ($self_del_user == 1) {    
        if ( ( $iamadmin && ( $username ne $user ) ) || ( $username ne 'admin' ) ) {
        $showProfile .=
qq~ &nbsp; &nbsp; &nbsp; <input type="submit" name="moda" value="$profile_txt{'89'}" onclick="return confirm('$confdel_text')" class="button" />~;
        }
    }
    else  {    
        if ( $iamadmin &&  $username ne $user ) {
        $showProfile .=
qq~ &nbsp; &nbsp; &nbsp; <input type="submit" name="moda" value="$profile_txt{'89'}" onclick="return confirm('$confdel_text')" class="button" />~;
        }
    }
</replace>


<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
);

%floodtxt = (
</search for>

<add before>
'self_del_user' => 'Allow user to delete their own account.',
</add before>


<edit file>
Languages/German/Admin.lng
</edit file>

<search for>
);

%floodtxt=(
</search for>

<add before>
'self_del_user' => 'Benutzer erlauben, ihren eigenen Account zu lschen?',
</add before>

<edit file>
Languages/German_Du/Admin.lng
</edit file>

<search for>
);

%floodtxt=(
</search for>

<add before>
'self_del_user' => 'Benutzer erlauben, ihren eigenen Account zu lschen?',
</add before>
 
